Public Member Functions | Public Attributes | Friends | List of all members
ClarisDrawGraphInternal::Transformation Struct Reference

Internal: the structure used to store a transformation ClarisDrawGraph. More...

## Public Member Functions
| Transformation ()
| constructor More...

## Public Attributes
float | m_rotate
| the rotation More...
MWAWVec2f | m_originalSize
| the original size More...
float | m_values [2]
| other values More...

## Friends
std::ostream & | operator<< (std::ostream &o, Transformation const &trans)

## Detailed Description

Internal: the structure used to store a transformation ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ Transformation()

ClarisDrawGraphInternal::Transformation::Transformation | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Transformation const & | trans
| ) |  |
| friend

## Member Data Documentation

## ◆ m_originalSize

MWAWVec2f ClarisDrawGraphInternal::Transformation::m_originalSize

the original size

Referenced by ClarisDrawGraph::readShape(), and ClarisDrawGraph::readTransformations().

## ◆ m_rotate

float ClarisDrawGraphInternal::Transformation::m_rotate

the rotation

Referenced by ClarisDrawGraph::readShape(), and ClarisDrawGraph::readTransformations().

## ◆ m_values

float ClarisDrawGraphInternal::Transformation::m_values[2]

other values

Referenced by ClarisDrawGraph::readTransformations().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx